Test Users

Create test user

Creates a test user.

POST /api/public/v1/test-users

Create test user

curl --request POST \
  --url 'https://api.buildprint.ai/api/public/v1/test-users' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
  "key": "value"
}'
{
  "testUserId": "<string>"
}

Test user created

Authorizations

  • Authorization string required header

    Workspace REST API token prefixed with bp_

Request Body

application/json
  • appId string required

    Bubble app ID for the workspace project this request targets.

  • name string required

    Test user name.

  • description string | null

    Optional description.

  • email string | null

    Optional login email.

  • password string | null

    Optional login password.

  • database string enum required enum

    Which Bubble database this test user should target. Allowed values: test, live.

Response

application/json
  • testUserId string

    Opaque identifier for the project test user.